Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class TiePublicObjectCapabilities

    java.lang.Object
      oracle.ifs.beans.PublicObjectCapabilities
          oracle.ifs.beans.TiePublicObjectCapabilities

Direct Known Subclasses:
  DirectoryGroupCapabilities, DocumentCapabilities, FamilyCapabilities, FolderCapabilities, LinkCapabilities

    public class TiePublicObjectCapabilities

extends PublicObjectCapabilities

Tracks all capabilities that can be restricted, by access control, locking, configuration, or by object type.

Subclasses of PublicObject that require further capability restriction based on object type should extend this class, override the capability method that must be restricted, and then override the `PublicObject.capabilities` method to return the subclass.

(Published)

Constructor Summary
`TiePublicObjectCapabilities(PublicObject object)` Constructs a new PublicObjectCapabilities instance.

Method Summary

Methods inherited from class oracle.ifs.beans.PublicObjectCapabilities
`ADDITEM, ADDVERSION, ADMINISTER_CATEGORY, ADMINISTER_CONFIGURATION, ADMINISTER_CONTAINER, ADMINISTER_DOMAIN, ADMINISTER_LOCK, ADMINISTER_QUOTA, ADMINISTER_RECORD, ADMINISTER_ROLE, ADMINISTER_SECURITY, ADMINISTER_USER, ADMINISTER_WORKSPACE, checkCapabilities, checkCapability, checkEffectiveAccess, checkEffectiveAccess, COPY, CREATECONTAINER, CREATEFOLDER, CREATEWORKSPACE, DELETE, DISCOVER, GET_CONTENT, GETAUDITHISTORY, getCapabilities, GETMETADATA, GETRELATION, getTrackedObject, LOCK, MOVE, SET_ATTR, SET_CONTENT, SETMETADATA, SETRELATION, verifyCapabilities, verifyCapability`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TiePublicObjectCapabilities

    public TiePublicObjectCapabilities(PublicObject object)

  Constructs a new PublicObjectCapabilities instance.

  Parameters:
    `object` - the PublicObject for which capabilities are tracked.
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD